Download it now!
Bug 30882 - Array doesn't work in 3.3b2
Summary: Array doesn't work in 3.3b2
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: highest blocker
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 15:19 UTC by m.a.riosv
Modified: 2010-11-01 05:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple array in a new calc spreadsheet doesn't work (8.00 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-10-14 15:19 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2010-10-14 15:19:05 UTC
Created attachment 39454 [details]
Simple array in a new calc spreadsheet doesn't work

Simple array in a new calc spreadsheet doesn't work.
I have never had this issue in OOo even in OOo3.3m10
Comment 1 m.a.riosv 2010-10-14 15:22:23 UTC
In Windows 7 ultimate
Comment 2 Kohei Yoshida 2010-10-14 16:21:32 UTC
Yup, this is pretty bad.  Thanks for reporting this.

I'll take care of this.
Comment 3 Kohei Yoshida 2010-10-21 06:54:29 UTC
I've just identified the location of the problem, and am in the process of coming up with a correct fix.  Give me a little longer...
Comment 4 Kohei Yoshida 2010-10-21 07:48:09 UTC
Just to make it explicit for QA purposes, typing in a cell '=A1:A5' and hitting Ctrl-Shift-Enter should expand it into a 5 x 1 array and turn the formula string into '{=A1:A5}'.
Comment 5 Kohei Yoshida 2010-10-21 07:50:51 UTC
This is now fixed on master, for 3.3.
Comment 6 m.a.riosv 2010-10-22 07:46:12 UTC
Thank's Kohei
Comment 7 sophie 2010-11-01 05:39:22 UTC
Verified in the 10_10_28_Cedric.rpm build - Closing - Sophie